// square with 2 materials

lc = 5e-3;

Lx1 = 5e-3;
Lx2 = 5e-3;

Ly1 = 10e-3;

Point(1) = { 0,       0, 0, lc};
Point(2) = { Lx1,     0, 0, lc};
Point(3) = { Lx1+Lx2, 0, 0, lc};

Point(4) = { 0,       Ly1, 0, lc};
Point(5) = { Lx1,     Ly1, 0, lc};
Point(6) = { Lx1+Lx2, Ly1, 0, lc};

Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 6};
Line(4) = {6, 5};
Line(5) = {5, 4};
Line(6) = {4, 1};
Line(7) = {2, 5};

Line Loop(8) = {5, 6, 1, 7};
Plane Surface(9) = {8};

Line Loop(10) = {4, -7, 2, 3};
Plane Surface(11) = {10};

Physical Surface("S1") = {9};
Physical Surface("S2") = {11};
